
package org.eclipse.birt.report.engine.executor;

import org.eclipse.birt.report.engine.content.IContent;

public interface IReportItemExecutor
{

	public IContent execute( );

	/**
	 * close the executor, if the executor is closed, all sub executor will be
	 * termiante also.
	 */
	void close( );

	/**
	 * does the executor has child executor
	 * 
	 * @return
	 */
	boolean hasNextChild( );

	IReportItemExecutor getNextChild( );
}
